import flanagan.io.FileInput;
import flanagan.io.FileOutput;
import flanagan.io.FileChooser;

public class FileReadingWriting_2012 {

    public static void main(String[] args) {
         
        //This example reads, writes, or appends a textfile that
        //is placed inside the project folder.
        
        //Get the project folder and make the filename's path
        String curDir = System.getProperty("user.dir");
        System.out.println("Your directory is " + curDir);
        String filename = curDir + "/textfile.txt";
        
        //Open the file for reading with FileInput class
        FileInput FI = new FileInput(filename);
        int num = FI.numberOfLines();
        System.out.println("There are " + num + " lines");
        int x = FI.readInt();  //readDouble, readLine() 
        System.out.println(x);
        FI.close();
        System.out.println("Done Reading...");
        
        //Open the file for writing with FileOutput class
        //This will re-write the entire file!!!
        FileOutput FO = new FileOutput(filename, 'w');  
        int y = 123;
        FO.println(y);
        FO.close();
        System.out.println("Done Writing...");
        
        //Open the file for appending with FileOutput class
        //Appending 'adds' lines onto the end of the file while
        //leaving the orginal data the same!
        FileOutput FO2 = new FileOutput(filename, 'a');  
        int z =999;
        FO2.println(y);
        FO2.close();
        System.out.println("Done Appending...");   
        
        
        
        //Note:  To let the user select the file through a dialog box,
        //use the FileChooser class to grab the file name.  Then just
        //use this file name as normal.  
        FileChooser FC = new FileChooser();
        FC.selectFile();
        String thefilename = FC.getPathName();
        FC.close();
        
    }
}
